lwIP 2.1.0 Lightweight IP stack

Functions
UDP only
APIs » Sequential-style APIs » Netconn API

## Functions
err_t | netconn_disconnect (struct netconn *conn)
err_t | netconn_sendto (struct netconn *conn, struct netbuf *buf, const ip_addr_t *addr, u16_t port)
err_t | netconn_send (struct netconn *conn, struct netbuf *buf)
err_t | netconn_join_leave_group (struct netconn *conn, const ip_addr_t *multiaddr, const ip_addr_t *netif_addr, enum netconn_igmp join_or_leave)
err_t | netconn_join_leave_group_netif (struct netconn *conn, const ip_addr_t *multiaddr, u8_t if_idx, enum netconn_igmp join_or_leave)

## Detailed Description

UDP only functions

## Function Documentation

## ◆ netconn_disconnect()

err_t netconn_disconnect | ( | struct netconn * | conn | ) |

Disconnect a netconn from its current peer (only valid for UDP netconns).

Parameters

  conn | the netconn to disconnect

Returns
  See err_t

## ◆ netconn_join_leave_group()

err_t netconn_join_leave_group | ( | struct netconn * | conn,
|  | const ip_addr_t * | multiaddr,
|  | const ip_addr_t * | netif_addr,
|  | enum netconn_igmp | join_or_leave
| ) |  |

Join multicast groups for UDP netconns.

Parameters

  conn | the UDP netconn for which to change multicast addresses
  multiaddr | IP address of the multicast group to join or leave
  netif_addr | the IP address of the network interface on which to send the igmp message
  join_or_leave | flag whether to send a join- or leave-message

Returns
  ERR_OK if the action was taken, any err_t on error

## ◆ netconn_join_leave_group_netif()

err_t netconn_join_leave_group_netif | ( | struct netconn * | conn,
|  | const ip_addr_t * | multiaddr,
|  | u8_t | if_idx,
|  | enum netconn_igmp | join_or_leave
| ) |  |

Join multicast groups for UDP netconns.

Parameters

  conn | the UDP netconn for which to change multicast addresses
  multiaddr | IP address of the multicast group to join or leave
  if_idx | the index of the netif
  join_or_leave | flag whether to send a join- or leave-message

Returns
  ERR_OK if the action was taken, any err_t on error

## ◆ netconn_send()

err_t netconn_send | ( | struct netconn * | conn,
|  | struct netbuf * | buf
| ) |  |

Send data over a UDP or RAW netconn (that is already connected).

Parameters

  conn | the UDP or RAW netconn over which to send data
  buf | a netbuf containing the data to send

Returns
  ERR_OK if data was sent, any other err_t on error

## ◆ netconn_sendto()

err_t netconn_sendto | ( | struct netconn * | conn,
|  | struct netbuf * | buf,
|  | const ip_addr_t * | addr,
|  | u16_t | port
| ) |  |

Send data (in form of a netbuf) to a specific remote IP address and port. Only to be used for UDP and RAW netconns (not TCP).

Parameters

  conn | the netconn over which to send data
  buf | a netbuf containing the data to send
  addr | the remote IP address to which to send the data
  port | the remote port to which to send the data

Returns
  ERR_OK if data was sent, any other err_t on error